/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as CreateApiKeyResponse from "./create-api-key-response";
export import CreateApiKeyResponse = CreateApiKeyResponse.CreateApiKeyResponse;
import * as CreateAppResponse from "./create-app-response";
export import CreateAppResponse = CreateAppResponse.CreateAppResponse;
import * as CreateAppRoleResponse from "./create-app-role-response";
export import CreateAppRoleResponse = CreateAppRoleResponse.CreateAppRoleResponse;
import * as CreateAuthTokenResponse from "./create-auth-token-response";
export import CreateAuthTokenResponse = CreateAuthTokenResponse.CreateAuthTokenResponse;
import * as CreateAuthenticationFactorsRemoverResponse from "./create-authentication-factors-remover-response";
export import CreateAuthenticationFactorsRemoverResponse = CreateAuthenticationFactorsRemoverResponse.CreateAuthenticationFactorsRemoverResponse;
import * as CreateCustomerSecretKeyResponse from "./create-customer-secret-key-response";
export import CreateCustomerSecretKeyResponse = CreateCustomerSecretKeyResponse.CreateCustomerSecretKeyResponse;
import * as CreateDynamicResourceGroupResponse from "./create-dynamic-resource-group-response";
export import CreateDynamicResourceGroupResponse = CreateDynamicResourceGroupResponse.CreateDynamicResourceGroupResponse;
import * as CreateGrantResponse from "./create-grant-response";
export import CreateGrantResponse = CreateGrantResponse.CreateGrantResponse;
import * as CreateGroupResponse from "./create-group-response";
export import CreateGroupResponse = CreateGroupResponse.CreateGroupResponse;
import * as CreateIdentityProviderResponse from "./create-identity-provider-response";
export import CreateIdentityProviderResponse = CreateIdentityProviderResponse.CreateIdentityProviderResponse;
import * as CreateMeResponse from "./create-me-response";
export import CreateMeResponse = CreateMeResponse.CreateMeResponse;
import * as CreateMyApiKeyResponse from "./create-my-api-key-response";
export import CreateMyApiKeyResponse = CreateMyApiKeyResponse.CreateMyApiKeyResponse;
import * as CreateMyAuthTokenResponse from "./create-my-auth-token-response";
export import CreateMyAuthTokenResponse = CreateMyAuthTokenResponse.CreateMyAuthTokenResponse;
import * as CreateMyAuthenticationFactorInitiatorResponse from "./create-my-authentication-factor-initiator-response";
export import CreateMyAuthenticationFactorInitiatorResponse = CreateMyAuthenticationFactorInitiatorResponse.CreateMyAuthenticationFactorInitiatorResponse;
import * as CreateMyAuthenticationFactorValidatorResponse from "./create-my-authentication-factor-validator-response";
export import CreateMyAuthenticationFactorValidatorResponse = CreateMyAuthenticationFactorValidatorResponse.CreateMyAuthenticationFactorValidatorResponse;
import * as CreateMyAuthenticationFactorsRemoverResponse from "./create-my-authentication-factors-remover-response";
export import CreateMyAuthenticationFactorsRemoverResponse = CreateMyAuthenticationFactorsRemoverResponse.CreateMyAuthenticationFactorsRemoverResponse;
import * as CreateMyCustomerSecretKeyResponse from "./create-my-customer-secret-key-response";
export import CreateMyCustomerSecretKeyResponse = CreateMyCustomerSecretKeyResponse.CreateMyCustomerSecretKeyResponse;
import * as CreateMyOAuth2ClientCredentialResponse from "./create-my-oauth2-client-credential-response";
export import CreateMyOAuth2ClientCredentialResponse = CreateMyOAuth2ClientCredentialResponse.CreateMyOAuth2ClientCredentialResponse;
import * as CreateMyRequestResponse from "./create-my-request-response";
export import CreateMyRequestResponse = CreateMyRequestResponse.CreateMyRequestResponse;
import * as CreateMySmtpCredentialResponse from "./create-my-smtp-credential-response";
export import CreateMySmtpCredentialResponse = CreateMySmtpCredentialResponse.CreateMySmtpCredentialResponse;
import * as CreateMySupportAccountResponse from "./create-my-support-account-response";
export import CreateMySupportAccountResponse = CreateMySupportAccountResponse.CreateMySupportAccountResponse;
import * as CreateMyUserDbCredentialResponse from "./create-my-user-db-credential-response";
export import CreateMyUserDbCredentialResponse = CreateMyUserDbCredentialResponse.CreateMyUserDbCredentialResponse;
import * as CreateOAuth2ClientCredentialResponse from "./create-oauth2-client-credential-response";
export import CreateOAuth2ClientCredentialResponse = CreateOAuth2ClientCredentialResponse.CreateOAuth2ClientCredentialResponse;
import * as CreatePasswordPolicyResponse from "./create-password-policy-response";
export import CreatePasswordPolicyResponse = CreatePasswordPolicyResponse.CreatePasswordPolicyResponse;
import * as CreateSecurityQuestionResponse from "./create-security-question-response";
export import CreateSecurityQuestionResponse = CreateSecurityQuestionResponse.CreateSecurityQuestionResponse;
import * as CreateSmtpCredentialResponse from "./create-smtp-credential-response";
export import CreateSmtpCredentialResponse = CreateSmtpCredentialResponse.CreateSmtpCredentialResponse;
import * as CreateUserResponse from "./create-user-response";
export import CreateUserResponse = CreateUserResponse.CreateUserResponse;
import * as CreateUserDbCredentialResponse from "./create-user-db-credential-response";
export import CreateUserDbCredentialResponse = CreateUserDbCredentialResponse.CreateUserDbCredentialResponse;
import * as DeleteApiKeyResponse from "./delete-api-key-response";
export import DeleteApiKeyResponse = DeleteApiKeyResponse.DeleteApiKeyResponse;
import * as DeleteAppResponse from "./delete-app-response";
export import DeleteAppResponse = DeleteAppResponse.DeleteAppResponse;
import * as DeleteAppRoleResponse from "./delete-app-role-response";
export import DeleteAppRoleResponse = DeleteAppRoleResponse.DeleteAppRoleResponse;
import * as DeleteAuthTokenResponse from "./delete-auth-token-response";
export import DeleteAuthTokenResponse = DeleteAuthTokenResponse.DeleteAuthTokenResponse;
import * as DeleteCustomerSecretKeyResponse from "./delete-customer-secret-key-response";
export import DeleteCustomerSecretKeyResponse = DeleteCustomerSecretKeyResponse.DeleteCustomerSecretKeyResponse;
import * as DeleteDynamicResourceGroupResponse from "./delete-dynamic-resource-group-response";
export import DeleteDynamicResourceGroupResponse = DeleteDynamicResourceGroupResponse.DeleteDynamicResourceGroupResponse;
import * as DeleteGrantResponse from "./delete-grant-response";
export import DeleteGrantResponse = DeleteGrantResponse.DeleteGrantResponse;
import * as DeleteGroupResponse from "./delete-group-response";
export import DeleteGroupResponse = DeleteGroupResponse.DeleteGroupResponse;
import * as DeleteIdentityProviderResponse from "./delete-identity-provider-response";
export import DeleteIdentityProviderResponse = DeleteIdentityProviderResponse.DeleteIdentityProviderResponse;
import * as DeleteMyApiKeyResponse from "./delete-my-api-key-response";
export import DeleteMyApiKeyResponse = DeleteMyApiKeyResponse.DeleteMyApiKeyResponse;
import * as DeleteMyAuthTokenResponse from "./delete-my-auth-token-response";
export import DeleteMyAuthTokenResponse = DeleteMyAuthTokenResponse.DeleteMyAuthTokenResponse;
import * as DeleteMyCustomerSecretKeyResponse from "./delete-my-customer-secret-key-response";
export import DeleteMyCustomerSecretKeyResponse = DeleteMyCustomerSecretKeyResponse.DeleteMyCustomerSecretKeyResponse;
import * as DeleteMyDeviceResponse from "./delete-my-device-response";
export import DeleteMyDeviceResponse = DeleteMyDeviceResponse.DeleteMyDeviceResponse;
import * as DeleteMyOAuth2ClientCredentialResponse from "./delete-my-oauth2-client-credential-response";
export import DeleteMyOAuth2ClientCredentialResponse = DeleteMyOAuth2ClientCredentialResponse.DeleteMyOAuth2ClientCredentialResponse;
import * as DeleteMySmtpCredentialResponse from "./delete-my-smtp-credential-response";
export import DeleteMySmtpCredentialResponse = DeleteMySmtpCredentialResponse.DeleteMySmtpCredentialResponse;
import * as DeleteMySupportAccountResponse from "./delete-my-support-account-response";
export import DeleteMySupportAccountResponse = DeleteMySupportAccountResponse.DeleteMySupportAccountResponse;
import * as DeleteMyTrustedUserAgentResponse from "./delete-my-trusted-user-agent-response";
export import DeleteMyTrustedUserAgentResponse = DeleteMyTrustedUserAgentResponse.DeleteMyTrustedUserAgentResponse;
import * as DeleteMyUserDbCredentialResponse from "./delete-my-user-db-credential-response";
export import DeleteMyUserDbCredentialResponse = DeleteMyUserDbCredentialResponse.DeleteMyUserDbCredentialResponse;
import * as DeleteOAuth2ClientCredentialResponse from "./delete-oauth2-client-credential-response";
export import DeleteOAuth2ClientCredentialResponse = DeleteOAuth2ClientCredentialResponse.DeleteOAuth2ClientCredentialResponse;
import * as DeletePasswordPolicyResponse from "./delete-password-policy-response";
export import DeletePasswordPolicyResponse = DeletePasswordPolicyResponse.DeletePasswordPolicyResponse;
import * as DeleteSecurityQuestionResponse from "./delete-security-question-response";
export import DeleteSecurityQuestionResponse = DeleteSecurityQuestionResponse.DeleteSecurityQuestionResponse;
import * as DeleteSmtpCredentialResponse from "./delete-smtp-credential-response";
export import DeleteSmtpCredentialResponse = DeleteSmtpCredentialResponse.DeleteSmtpCredentialResponse;
import * as DeleteUserResponse from "./delete-user-response";
export import DeleteUserResponse = DeleteUserResponse.DeleteUserResponse;
import * as DeleteUserDbCredentialResponse from "./delete-user-db-credential-response";
export import DeleteUserDbCredentialResponse = DeleteUserDbCredentialResponse.DeleteUserDbCredentialResponse;
import * as GetAccountMgmtInfoResponse from "./get-account-mgmt-info-response";
export import GetAccountMgmtInfoResponse = GetAccountMgmtInfoResponse.GetAccountMgmtInfoResponse;
import * as GetAccountRecoverySettingResponse from "./get-account-recovery-setting-response";
export import GetAccountRecoverySettingResponse = GetAccountRecoverySettingResponse.GetAccountRecoverySettingResponse;
import * as GetApiKeyResponse from "./get-api-key-response";
export import GetApiKeyResponse = GetApiKeyResponse.GetApiKeyResponse;
import * as GetAppResponse from "./get-app-response";
export import GetAppResponse = GetAppResponse.GetAppResponse;
import * as GetAppRoleResponse from "./get-app-role-response";
export import GetAppRoleResponse = GetAppRoleResponse.GetAppRoleResponse;
import * as GetAuthTokenResponse from "./get-auth-token-response";
export import GetAuthTokenResponse = GetAuthTokenResponse.GetAuthTokenResponse;
import * as GetAuthenticationFactorSettingResponse from "./get-authentication-factor-setting-response";
export import GetAuthenticationFactorSettingResponse = GetAuthenticationFactorSettingResponse.GetAuthenticationFactorSettingResponse;
import * as GetCustomerSecretKeyResponse from "./get-customer-secret-key-response";
export import GetCustomerSecretKeyResponse = GetCustomerSecretKeyResponse.GetCustomerSecretKeyResponse;
import * as GetDynamicResourceGroupResponse from "./get-dynamic-resource-group-response";
export import GetDynamicResourceGroupResponse = GetDynamicResourceGroupResponse.GetDynamicResourceGroupResponse;
import * as GetGrantResponse from "./get-grant-response";
export import GetGrantResponse = GetGrantResponse.GetGrantResponse;
import * as GetGroupResponse from "./get-group-response";
export import GetGroupResponse = GetGroupResponse.GetGroupResponse;
import * as GetIdentityProviderResponse from "./get-identity-provider-response";
export import GetIdentityProviderResponse = GetIdentityProviderResponse.GetIdentityProviderResponse;
import * as GetIdentitySettingResponse from "./get-identity-setting-response";
export import GetIdentitySettingResponse = GetIdentitySettingResponse.GetIdentitySettingResponse;
import * as GetKmsiSettingResponse from "./get-kmsi-setting-response";
export import GetKmsiSettingResponse = GetKmsiSettingResponse.GetKmsiSettingResponse;
import * as GetMeResponse from "./get-me-response";
export import GetMeResponse = GetMeResponse.GetMeResponse;
import * as GetMyApiKeyResponse from "./get-my-api-key-response";
export import GetMyApiKeyResponse = GetMyApiKeyResponse.GetMyApiKeyResponse;
import * as GetMyAuthTokenResponse from "./get-my-auth-token-response";
export import GetMyAuthTokenResponse = GetMyAuthTokenResponse.GetMyAuthTokenResponse;
import * as GetMyCustomerSecretKeyResponse from "./get-my-customer-secret-key-response";
export import GetMyCustomerSecretKeyResponse = GetMyCustomerSecretKeyResponse.GetMyCustomerSecretKeyResponse;
import * as GetMyDeviceResponse from "./get-my-device-response";
export import GetMyDeviceResponse = GetMyDeviceResponse.GetMyDeviceResponse;
import * as GetMyOAuth2ClientCredentialResponse from "./get-my-oauth2-client-credential-response";
export import GetMyOAuth2ClientCredentialResponse = GetMyOAuth2ClientCredentialResponse.GetMyOAuth2ClientCredentialResponse;
import * as GetMySmtpCredentialResponse from "./get-my-smtp-credential-response";
export import GetMySmtpCredentialResponse = GetMySmtpCredentialResponse.GetMySmtpCredentialResponse;
import * as GetMySupportAccountResponse from "./get-my-support-account-response";
export import GetMySupportAccountResponse = GetMySupportAccountResponse.GetMySupportAccountResponse;
import * as GetMyTrustedUserAgentResponse from "./get-my-trusted-user-agent-response";
export import GetMyTrustedUserAgentResponse = GetMyTrustedUserAgentResponse.GetMyTrustedUserAgentResponse;
import * as GetMyUserDbCredentialResponse from "./get-my-user-db-credential-response";
export import GetMyUserDbCredentialResponse = GetMyUserDbCredentialResponse.GetMyUserDbCredentialResponse;
import * as GetOAuth2ClientCredentialResponse from "./get-oauth2-client-credential-response";
export import GetOAuth2ClientCredentialResponse = GetOAuth2ClientCredentialResponse.GetOAuth2ClientCredentialResponse;
import * as GetPasswordPolicyResponse from "./get-password-policy-response";
export import GetPasswordPolicyResponse = GetPasswordPolicyResponse.GetPasswordPolicyResponse;
import * as GetSecurityQuestionResponse from "./get-security-question-response";
export import GetSecurityQuestionResponse = GetSecurityQuestionResponse.GetSecurityQuestionResponse;
import * as GetSecurityQuestionSettingResponse from "./get-security-question-setting-response";
export import GetSecurityQuestionSettingResponse = GetSecurityQuestionSettingResponse.GetSecurityQuestionSettingResponse;
import * as GetSmtpCredentialResponse from "./get-smtp-credential-response";
export import GetSmtpCredentialResponse = GetSmtpCredentialResponse.GetSmtpCredentialResponse;
import * as GetUserResponse from "./get-user-response";
export import GetUserResponse = GetUserResponse.GetUserResponse;
import * as GetUserAttributesSettingResponse from "./get-user-attributes-setting-response";
export import GetUserAttributesSettingResponse = GetUserAttributesSettingResponse.GetUserAttributesSettingResponse;
import * as GetUserDbCredentialResponse from "./get-user-db-credential-response";
export import GetUserDbCredentialResponse = GetUserDbCredentialResponse.GetUserDbCredentialResponse;
import * as ListAccountMgmtInfosResponse from "./list-account-mgmt-infos-response";
export import ListAccountMgmtInfosResponse = ListAccountMgmtInfosResponse.ListAccountMgmtInfosResponse;
import * as ListAccountRecoverySettingsResponse from "./list-account-recovery-settings-response";
export import ListAccountRecoverySettingsResponse = ListAccountRecoverySettingsResponse.ListAccountRecoverySettingsResponse;
import * as ListApiKeysResponse from "./list-api-keys-response";
export import ListApiKeysResponse = ListApiKeysResponse.ListApiKeysResponse;
import * as ListAppRolesResponse from "./list-app-roles-response";
export import ListAppRolesResponse = ListAppRolesResponse.ListAppRolesResponse;
import * as ListAppsResponse from "./list-apps-response";
export import ListAppsResponse = ListAppsResponse.ListAppsResponse;
import * as ListAuthTokensResponse from "./list-auth-tokens-response";
export import ListAuthTokensResponse = ListAuthTokensResponse.ListAuthTokensResponse;
import * as ListAuthenticationFactorSettingsResponse from "./list-authentication-factor-settings-response";
export import ListAuthenticationFactorSettingsResponse = ListAuthenticationFactorSettingsResponse.ListAuthenticationFactorSettingsResponse;
import * as ListCustomerSecretKeysResponse from "./list-customer-secret-keys-response";
export import ListCustomerSecretKeysResponse = ListCustomerSecretKeysResponse.ListCustomerSecretKeysResponse;
import * as ListDynamicResourceGroupsResponse from "./list-dynamic-resource-groups-response";
export import ListDynamicResourceGroupsResponse = ListDynamicResourceGroupsResponse.ListDynamicResourceGroupsResponse;
import * as ListGrantsResponse from "./list-grants-response";
export import ListGrantsResponse = ListGrantsResponse.ListGrantsResponse;
import * as ListGroupsResponse from "./list-groups-response";
export import ListGroupsResponse = ListGroupsResponse.ListGroupsResponse;
import * as ListIdentityProvidersResponse from "./list-identity-providers-response";
export import ListIdentityProvidersResponse = ListIdentityProvidersResponse.ListIdentityProvidersResponse;
import * as ListIdentitySettingsResponse from "./list-identity-settings-response";
export import ListIdentitySettingsResponse = ListIdentitySettingsResponse.ListIdentitySettingsResponse;
import * as ListKmsiSettingsResponse from "./list-kmsi-settings-response";
export import ListKmsiSettingsResponse = ListKmsiSettingsResponse.ListKmsiSettingsResponse;
import * as ListMyApiKeysResponse from "./list-my-api-keys-response";
export import ListMyApiKeysResponse = ListMyApiKeysResponse.ListMyApiKeysResponse;
import * as ListMyAppsResponse from "./list-my-apps-response";
export import ListMyAppsResponse = ListMyAppsResponse.ListMyAppsResponse;
import * as ListMyAuthTokensResponse from "./list-my-auth-tokens-response";
export import ListMyAuthTokensResponse = ListMyAuthTokensResponse.ListMyAuthTokensResponse;
import * as ListMyCustomerSecretKeysResponse from "./list-my-customer-secret-keys-response";
export import ListMyCustomerSecretKeysResponse = ListMyCustomerSecretKeysResponse.ListMyCustomerSecretKeysResponse;
import * as ListMyDevicesResponse from "./list-my-devices-response";
export import ListMyDevicesResponse = ListMyDevicesResponse.ListMyDevicesResponse;
import * as ListMyGroupsResponse from "./list-my-groups-response";
export import ListMyGroupsResponse = ListMyGroupsResponse.ListMyGroupsResponse;
import * as ListMyOAuth2ClientCredentialsResponse from "./list-my-oauth2-client-credentials-response";
export import ListMyOAuth2ClientCredentialsResponse = ListMyOAuth2ClientCredentialsResponse.ListMyOAuth2ClientCredentialsResponse;
import * as ListMyRequestableGroupsResponse from "./list-my-requestable-groups-response";
export import ListMyRequestableGroupsResponse = ListMyRequestableGroupsResponse.ListMyRequestableGroupsResponse;
import * as ListMyRequestsResponse from "./list-my-requests-response";
export import ListMyRequestsResponse = ListMyRequestsResponse.ListMyRequestsResponse;
import * as ListMySmtpCredentialsResponse from "./list-my-smtp-credentials-response";
export import ListMySmtpCredentialsResponse = ListMySmtpCredentialsResponse.ListMySmtpCredentialsResponse;
import * as ListMySupportAccountsResponse from "./list-my-support-accounts-response";
export import ListMySupportAccountsResponse = ListMySupportAccountsResponse.ListMySupportAccountsResponse;
import * as ListMyTrustedUserAgentsResponse from "./list-my-trusted-user-agents-response";
export import ListMyTrustedUserAgentsResponse = ListMyTrustedUserAgentsResponse.ListMyTrustedUserAgentsResponse;
import * as ListMyUserDbCredentialsResponse from "./list-my-user-db-credentials-response";
export import ListMyUserDbCredentialsResponse = ListMyUserDbCredentialsResponse.ListMyUserDbCredentialsResponse;
import * as ListOAuth2ClientCredentialsResponse from "./list-oauth2-client-credentials-response";
export import ListOAuth2ClientCredentialsResponse = ListOAuth2ClientCredentialsResponse.ListOAuth2ClientCredentialsResponse;
import * as ListPasswordPoliciesResponse from "./list-password-policies-response";
export import ListPasswordPoliciesResponse = ListPasswordPoliciesResponse.ListPasswordPoliciesResponse;
import * as ListResourceTypeSchemaAttributesResponse from "./list-resource-type-schema-attributes-response";
export import ListResourceTypeSchemaAttributesResponse = ListResourceTypeSchemaAttributesResponse.ListResourceTypeSchemaAttributesResponse;
import * as ListSecurityQuestionSettingsResponse from "./list-security-question-settings-response";
export import ListSecurityQuestionSettingsResponse = ListSecurityQuestionSettingsResponse.ListSecurityQuestionSettingsResponse;
import * as ListSecurityQuestionsResponse from "./list-security-questions-response";
export import ListSecurityQuestionsResponse = ListSecurityQuestionsResponse.ListSecurityQuestionsResponse;
import * as ListSmtpCredentialsResponse from "./list-smtp-credentials-response";
export import ListSmtpCredentialsResponse = ListSmtpCredentialsResponse.ListSmtpCredentialsResponse;
import * as ListUserAttributesSettingsResponse from "./list-user-attributes-settings-response";
export import ListUserAttributesSettingsResponse = ListUserAttributesSettingsResponse.ListUserAttributesSettingsResponse;
import * as ListUserDbCredentialsResponse from "./list-user-db-credentials-response";
export import ListUserDbCredentialsResponse = ListUserDbCredentialsResponse.ListUserDbCredentialsResponse;
import * as ListUsersResponse from "./list-users-response";
export import ListUsersResponse = ListUsersResponse.ListUsersResponse;
import * as PatchAccountRecoverySettingResponse from "./patch-account-recovery-setting-response";
export import PatchAccountRecoverySettingResponse = PatchAccountRecoverySettingResponse.PatchAccountRecoverySettingResponse;
import * as PatchApiKeyResponse from "./patch-api-key-response";
export import PatchApiKeyResponse = PatchApiKeyResponse.PatchApiKeyResponse;
import * as PatchAppResponse from "./patch-app-response";
export import PatchAppResponse = PatchAppResponse.PatchAppResponse;
import * as PatchAppRoleResponse from "./patch-app-role-response";
export import PatchAppRoleResponse = PatchAppRoleResponse.PatchAppRoleResponse;
import * as PatchAuthTokenResponse from "./patch-auth-token-response";
export import PatchAuthTokenResponse = PatchAuthTokenResponse.PatchAuthTokenResponse;
import * as PatchCustomerSecretKeyResponse from "./patch-customer-secret-key-response";
export import PatchCustomerSecretKeyResponse = PatchCustomerSecretKeyResponse.PatchCustomerSecretKeyResponse;
import * as PatchDynamicResourceGroupResponse from "./patch-dynamic-resource-group-response";
export import PatchDynamicResourceGroupResponse = PatchDynamicResourceGroupResponse.PatchDynamicResourceGroupResponse;
import * as PatchGrantResponse from "./patch-grant-response";
export import PatchGrantResponse = PatchGrantResponse.PatchGrantResponse;
import * as PatchGroupResponse from "./patch-group-response";
export import PatchGroupResponse = PatchGroupResponse.PatchGroupResponse;
import * as PatchIdentityProviderResponse from "./patch-identity-provider-response";
export import PatchIdentityProviderResponse = PatchIdentityProviderResponse.PatchIdentityProviderResponse;
import * as PatchIdentitySettingResponse from "./patch-identity-setting-response";
export import PatchIdentitySettingResponse = PatchIdentitySettingResponse.PatchIdentitySettingResponse;
import * as PatchKmsiSettingResponse from "./patch-kmsi-setting-response";
export import PatchKmsiSettingResponse = PatchKmsiSettingResponse.PatchKmsiSettingResponse;
import * as PatchMeResponse from "./patch-me-response";
export import PatchMeResponse = PatchMeResponse.PatchMeResponse;
import * as PatchMyApiKeyResponse from "./patch-my-api-key-response";
export import PatchMyApiKeyResponse = PatchMyApiKeyResponse.PatchMyApiKeyResponse;
import * as PatchMyAuthTokenResponse from "./patch-my-auth-token-response";
export import PatchMyAuthTokenResponse = PatchMyAuthTokenResponse.PatchMyAuthTokenResponse;
import * as PatchMyCustomerSecretKeyResponse from "./patch-my-customer-secret-key-response";
export import PatchMyCustomerSecretKeyResponse = PatchMyCustomerSecretKeyResponse.PatchMyCustomerSecretKeyResponse;
import * as PatchMyDeviceResponse from "./patch-my-device-response";
export import PatchMyDeviceResponse = PatchMyDeviceResponse.PatchMyDeviceResponse;
import * as PatchMyOAuth2ClientCredentialResponse from "./patch-my-oauth2-client-credential-response";
export import PatchMyOAuth2ClientCredentialResponse = PatchMyOAuth2ClientCredentialResponse.PatchMyOAuth2ClientCredentialResponse;
import * as PatchMySmtpCredentialResponse from "./patch-my-smtp-credential-response";
export import PatchMySmtpCredentialResponse = PatchMySmtpCredentialResponse.PatchMySmtpCredentialResponse;
import * as PatchOAuth2ClientCredentialResponse from "./patch-oauth2-client-credential-response";
export import PatchOAuth2ClientCredentialResponse = PatchOAuth2ClientCredentialResponse.PatchOAuth2ClientCredentialResponse;
import * as PatchPasswordPolicyResponse from "./patch-password-policy-response";
export import PatchPasswordPolicyResponse = PatchPasswordPolicyResponse.PatchPasswordPolicyResponse;
import * as PatchSecurityQuestionResponse from "./patch-security-question-response";
export import PatchSecurityQuestionResponse = PatchSecurityQuestionResponse.PatchSecurityQuestionResponse;
import * as PatchSecurityQuestionSettingResponse from "./patch-security-question-setting-response";
export import PatchSecurityQuestionSettingResponse = PatchSecurityQuestionSettingResponse.PatchSecurityQuestionSettingResponse;
import * as PatchSmtpCredentialResponse from "./patch-smtp-credential-response";
export import PatchSmtpCredentialResponse = PatchSmtpCredentialResponse.PatchSmtpCredentialResponse;
import * as PatchUserResponse from "./patch-user-response";
export import PatchUserResponse = PatchUserResponse.PatchUserResponse;
import * as PatchUserAttributesSettingResponse from "./patch-user-attributes-setting-response";
export import PatchUserAttributesSettingResponse = PatchUserAttributesSettingResponse.PatchUserAttributesSettingResponse;
import * as PutAccountRecoverySettingResponse from "./put-account-recovery-setting-response";
export import PutAccountRecoverySettingResponse = PutAccountRecoverySettingResponse.PutAccountRecoverySettingResponse;
import * as PutAppResponse from "./put-app-response";
export import PutAppResponse = PutAppResponse.PutAppResponse;
import * as PutAppStatusChangerResponse from "./put-app-status-changer-response";
export import PutAppStatusChangerResponse = PutAppStatusChangerResponse.PutAppStatusChangerResponse;
import * as PutAuthenticationFactorSettingResponse from "./put-authentication-factor-setting-response";
export import PutAuthenticationFactorSettingResponse = PutAuthenticationFactorSettingResponse.PutAuthenticationFactorSettingResponse;
import * as PutDynamicResourceGroupResponse from "./put-dynamic-resource-group-response";
export import PutDynamicResourceGroupResponse = PutDynamicResourceGroupResponse.PutDynamicResourceGroupResponse;
import * as PutGroupResponse from "./put-group-response";
export import PutGroupResponse = PutGroupResponse.PutGroupResponse;
import * as PutIdentityProviderResponse from "./put-identity-provider-response";
export import PutIdentityProviderResponse = PutIdentityProviderResponse.PutIdentityProviderResponse;
import * as PutIdentitySettingResponse from "./put-identity-setting-response";
export import PutIdentitySettingResponse = PutIdentitySettingResponse.PutIdentitySettingResponse;
import * as PutKmsiSettingResponse from "./put-kmsi-setting-response";
export import PutKmsiSettingResponse = PutKmsiSettingResponse.PutKmsiSettingResponse;
import * as PutMeResponse from "./put-me-response";
export import PutMeResponse = PutMeResponse.PutMeResponse;
import * as PutMePasswordChangerResponse from "./put-me-password-changer-response";
export import PutMePasswordChangerResponse = PutMePasswordChangerResponse.PutMePasswordChangerResponse;
import * as PutPasswordPolicyResponse from "./put-password-policy-response";
export import PutPasswordPolicyResponse = PutPasswordPolicyResponse.PutPasswordPolicyResponse;
import * as PutSecurityQuestionSettingResponse from "./put-security-question-setting-response";
export import PutSecurityQuestionSettingResponse = PutSecurityQuestionSettingResponse.PutSecurityQuestionSettingResponse;
import * as PutUserResponse from "./put-user-response";
export import PutUserResponse = PutUserResponse.PutUserResponse;
import * as PutUserCapabilitiesChangerResponse from "./put-user-capabilities-changer-response";
export import PutUserCapabilitiesChangerResponse = PutUserCapabilitiesChangerResponse.PutUserCapabilitiesChangerResponse;
import * as PutUserPasswordChangerResponse from "./put-user-password-changer-response";
export import PutUserPasswordChangerResponse = PutUserPasswordChangerResponse.PutUserPasswordChangerResponse;
import * as PutUserPasswordResetterResponse from "./put-user-password-resetter-response";
export import PutUserPasswordResetterResponse = PutUserPasswordResetterResponse.PutUserPasswordResetterResponse;
import * as PutUserStatusChangerResponse from "./put-user-status-changer-response";
export import PutUserStatusChangerResponse = PutUserStatusChangerResponse.PutUserStatusChangerResponse;
import * as SearchAccountMgmtInfosResponse from "./search-account-mgmt-infos-response";
export import SearchAccountMgmtInfosResponse = SearchAccountMgmtInfosResponse.SearchAccountMgmtInfosResponse;
import * as SearchApiKeysResponse from "./search-api-keys-response";
export import SearchApiKeysResponse = SearchApiKeysResponse.SearchApiKeysResponse;
import * as SearchAppRolesResponse from "./search-app-roles-response";
export import SearchAppRolesResponse = SearchAppRolesResponse.SearchAppRolesResponse;
import * as SearchAppsResponse from "./search-apps-response";
export import SearchAppsResponse = SearchAppsResponse.SearchAppsResponse;
import * as SearchAuthTokensResponse from "./search-auth-tokens-response";
export import SearchAuthTokensResponse = SearchAuthTokensResponse.SearchAuthTokensResponse;
import * as SearchAuthenticationFactorSettingsResponse from "./search-authentication-factor-settings-response";
export import SearchAuthenticationFactorSettingsResponse = SearchAuthenticationFactorSettingsResponse.SearchAuthenticationFactorSettingsResponse;
import * as SearchCustomerSecretKeysResponse from "./search-customer-secret-keys-response";
export import SearchCustomerSecretKeysResponse = SearchCustomerSecretKeysResponse.SearchCustomerSecretKeysResponse;
import * as SearchDynamicResourceGroupsResponse from "./search-dynamic-resource-groups-response";
export import SearchDynamicResourceGroupsResponse = SearchDynamicResourceGroupsResponse.SearchDynamicResourceGroupsResponse;
import * as SearchGrantsResponse from "./search-grants-response";
export import SearchGrantsResponse = SearchGrantsResponse.SearchGrantsResponse;
import * as SearchGroupsResponse from "./search-groups-response";
export import SearchGroupsResponse = SearchGroupsResponse.SearchGroupsResponse;
import * as SearchIdentityProvidersResponse from "./search-identity-providers-response";
export import SearchIdentityProvidersResponse = SearchIdentityProvidersResponse.SearchIdentityProvidersResponse;
import * as SearchIdentitySettingsResponse from "./search-identity-settings-response";
export import SearchIdentitySettingsResponse = SearchIdentitySettingsResponse.SearchIdentitySettingsResponse;
import * as SearchKmsiSettingsResponse from "./search-kmsi-settings-response";
export import SearchKmsiSettingsResponse = SearchKmsiSettingsResponse.SearchKmsiSettingsResponse;
import * as SearchMyAppsResponse from "./search-my-apps-response";
export import SearchMyAppsResponse = SearchMyAppsResponse.SearchMyAppsResponse;
import * as SearchMyGroupsResponse from "./search-my-groups-response";
export import SearchMyGroupsResponse = SearchMyGroupsResponse.SearchMyGroupsResponse;
import * as SearchMyRequestableGroupsResponse from "./search-my-requestable-groups-response";
export import SearchMyRequestableGroupsResponse = SearchMyRequestableGroupsResponse.SearchMyRequestableGroupsResponse;
import * as SearchMyRequestsResponse from "./search-my-requests-response";
export import SearchMyRequestsResponse = SearchMyRequestsResponse.SearchMyRequestsResponse;
import * as SearchOAuth2ClientCredentialsResponse from "./search-oauth2-client-credentials-response";
export import SearchOAuth2ClientCredentialsResponse = SearchOAuth2ClientCredentialsResponse.SearchOAuth2ClientCredentialsResponse;
import * as SearchPasswordPoliciesResponse from "./search-password-policies-response";
export import SearchPasswordPoliciesResponse = SearchPasswordPoliciesResponse.SearchPasswordPoliciesResponse;
import * as SearchResourceTypeSchemaAttributesResponse from "./search-resource-type-schema-attributes-response";
export import SearchResourceTypeSchemaAttributesResponse = SearchResourceTypeSchemaAttributesResponse.SearchResourceTypeSchemaAttributesResponse;
import * as SearchSecurityQuestionSettingsResponse from "./search-security-question-settings-response";
export import SearchSecurityQuestionSettingsResponse = SearchSecurityQuestionSettingsResponse.SearchSecurityQuestionSettingsResponse;
import * as SearchSecurityQuestionsResponse from "./search-security-questions-response";
export import SearchSecurityQuestionsResponse = SearchSecurityQuestionsResponse.SearchSecurityQuestionsResponse;
import * as SearchSmtpCredentialsResponse from "./search-smtp-credentials-response";
export import SearchSmtpCredentialsResponse = SearchSmtpCredentialsResponse.SearchSmtpCredentialsResponse;
import * as SearchUserAttributesSettingsResponse from "./search-user-attributes-settings-response";
export import SearchUserAttributesSettingsResponse = SearchUserAttributesSettingsResponse.SearchUserAttributesSettingsResponse;
import * as SearchUserDbCredentialsResponse from "./search-user-db-credentials-response";
export import SearchUserDbCredentialsResponse = SearchUserDbCredentialsResponse.SearchUserDbCredentialsResponse;
import * as SearchUsersResponse from "./search-users-response";
export import SearchUsersResponse = SearchUsersResponse.SearchUsersResponse;
